from events.types.payload import Payload


class ChildOverrideDeletedPayload(Payload):
    def __init__(self, child_id: str, entity_id: str, entity_type: str):
        super().__init__({
            'child_id': child_id,
            'entity_id': entity_id,
            'entity_type': entity_type
        })

    @property
    def child_id(self) -> str:
        return self.get("child_id")

    @property
    def entity_id(self) -> str:
        return self.get("entity_id")

    @property
    def entity_type(self) -> str:
        return self.get("entity_type")
